# Class RMISecurityManager

java.lang.Object
java.lang.SecurityManager
java.rmi.RMISecurityManager

@Deprecated(since="1.8", forRemoval=true) public class RMISecurityManager extends SecurityManager
Deprecated, for removal: This API element is subject to removal in a future version.
There is no replacement for the Security Manager.
RMISecurityManager was originally specified to allow an application implement a security policy identical to the policy implemented by `SecurityManager`. This feature no longer exists.

Since:
  1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RMISecurityManager()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Constructs a new `RMISecurityManager`.

- ## Method Summary

  ### Methods declared in class SecurityManager

  `checkAccept, checkAccess, checkAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkExit, checkLink, checkListen, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkWrite, checkWrite, getClassContext, getSecurityContext, getThreadGroup`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RMISecurityManager

    public RMISecurityManager()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Constructs a new `RMISecurityManager`.
    Since:
      1.1